org.apache.xmlbeans.impl.common

## Class JarHelper

- java.lang.Object
- - org.apache.xmlbeans.impl.common.JarHelper

    public class JarHelper
    extends Object

Provides utility services for jarring and unjarring files and directories. Note that a given instance of JarHelper is not threadsafe with respect to multiple jar operations.

### Constructor Summary

Constructors
Constructor and Description
`JarHelper()` Instantiates a new JarHelper.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `jarDir(File dirOrFile2Jar, File destJar)` Jars a given directory or single file into a JarOutputStream.
`void` `setVerbose(boolean b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarHelper

    public JarHelper()

Instantiates a new JarHelper.

### Method Detail

#### jarDir

    public void jarDir(File dirOrFile2Jar,
                       File destJar)
                throws IOException

Jars a given directory or single file into a JarOutputStream.

Throws:
  `IOException`

#### setVerbose

    public void setVerbose(boolean b)